%define api_version 1.1
%define pkg_name geronimo-qname_%{api_version}_spec

Name:          geronimo-qname
Version:       1.1
Release:       %mkrel 1
Summary:       QName 1.1
Group:         Development/Java
License:       ASL 2.0
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-qname_1.1_spec-1.1/ geronimo-qname-1.1
# tar czf geronimo-qname-1.1-src-svn.tar.gz geronimo-qname-1.1
Source0:       geronimo-qname-1.1-src-svn.tar.gz
BuildRequires: geronimo-parent-poms
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo QName 1.1.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo QName 1.1.

This package contains javadoc for %{name}.

%prep
%setup -q -n geronimo-qname-%{version}

for d in LICENSE.txt NOTICE.txt ; do
	iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
	sed -i 's/\r//' $d
done

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-qname-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-qname
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-qname.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-qname-%{version}.jar geronimo-qname.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-qname-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-qname-%{version}
ln -s geronimo-qname-%{version} %{buildroot}%{_javadocdir}/geronimo-qname

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-qname-%{version}.jar
%{_javadir}/geronimo-qname.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-qname-%{version}
%{_javadocdir}/geronimo-qname



%changelog

* Sun Nov 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 164060
+ rebuild (emptylog)

* Mon Jul 18 2011 gil <gil> 1.1-0.mga2
+ Revision: 126013
- imported package geronimo-qname


* Mon Jul 18 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

